Name:           bandwhich
Version:        0.23.1
Release:        %autorelease
Summary:        Terminal bandwidth utilization tool


License:        MIT
URL:            https://github.com/imsnif/bandwhich
Source0:        https://github.com/imsnif/bandwhich/archive/refs/tags/v%{version}.tar.gz


ExclusiveArch: x86_64 aarch64


BuildRequires: cargo
BuildRequires: cargo-rpm-macros


Requires: glibc
Requires: libgcc


%description
%{summary}.


%prep
%setup -q -n bandwhich-%{version}
cargo vendor
%cargo_prep -v vendor


%build
export BANDWHICH_GEN_DIR="$(pwd)/gen"
mkdir "$BANDWHICH_GEN_DIR"
%cargo_build


%install
%cargo_install
install -D --mode=644 res/bandwhich.svg "%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/bandwhich.svg"
install -D --mode=644 gen/bandwhich.bash "%{buildroot}%{bash_completions_dir}/bandwhich.bash"
install -D --mode=644 gen/bandwhich.1 "%{buildroot}%{_mandir}/man1/bandwhich.1"


%files
%license LICENSE.md
%doc README.md
%{_bindir}/bandwhich
%{_datadir}/icons/hicolor/scalable/apps/bandwhich.svg
%{bash_completions_dir}/bandwhich.bash
%{_mandir}/man1/bandwhich.1.gz


%changelog
%autochangelog
